Name:           mythes-uk
Summary:        Ukrainian thesaurus
Version:        1.7.1
Release:        %mkrel 7
License:        GPLv2+ or LGPLv2+
Group:          Text tools
URL:            https://sourceforge.net/projects/ispell-uk
Source0:        https://sourceforge.net/projects/ispell-uk/files/spell-uk/%{version}/spell-uk-%{version}.tgz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  pkgconfig(mythes)

Requires:       mythes
Requires:       locales-uk

%description
Ukrainian thesaurus.

%prep
%setup -q -n spell-uk-%{version}

%build
cd src/thesaurus
mv -f th_uk_UA.dat th_uk_UA_v2.dat
th_gen_idx.pl < th_uk_UA_v2.dat > th_uk_UA_v2.idx

%install
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p src/thesaurus/th_uk_UA_v2.* %{buildroot}%{_datadir}/mythes

%files
%doc README README.uk COPYING.GPL COPYING.LGPL Copyright
%{_datadir}/mythes/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.7.1-7.mga9
+ Revision: 1801908
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.7.1-6.mga8
+ Revision: 1492147
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.7.1-5.mga7
+ Revision: 1264627
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.7.1-4.mga6
+ Revision: 947054
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-3.mga5
+ Revision: 740876
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-2.mga5
+ Revision: 682758
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 daviddavid <daviddavid> 1.7.1-1.mga5
+ Revision: 666931
- update Source link-url
- new version: 1.7.1

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-7.mga4
+ Revision: 522953
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 1.6.0-6.mga3
+ Revision: 406121
- requires locales-mythes-uk (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 1.6.0-5.mga3
+ Revision: 360654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 1.6.0-4.mga2
+ Revision: 194419
- rebuild against new mythes-devel
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 1.6.0-3.mga1
+ Revision: 68504
- imported package mythes-uk


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 04 2010 Caolan McNamara <caolanm@redhat.com> - 1.6.0-2
- mythes now owns /usr/share/mythes

* Tue Aug 18 2009 Caolán McNamara <caolanm@redhat.com> - 1.6.0-1
- latest version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 06 2009 Caolán McNamara <caolanm@redhat.com> - 1.5.7-1
- initial version
